using System;

using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using Library2D;

namespace GraveyardGraph
{
	public class Goal : CircleCollidable
	{
		public Goal (Vector2 center)
		{
			this.Center = center;
		}

		/**
		 * This circle doesn't move.
		 */
		public override void CalculateNewVel (CircleCollidable that)
		{
			return;
		}

		public override void Draw(Rectangle drawArea, SpriteBatch sb, GameTime time)
		{
			sb.Draw(ArtFetcher.AnimatedFish.GetFrame(time),
			        null,
			        new Rectangle((int) Center.X,
			                      (int) Center.Y,
			                      Game1.TILE_SIZE,
			                      Game1.TILE_SIZE),
			        null,
			        new Vector2(Game1.TILE_SIZE/2.0f),
			        (float)time.TotalGameTime.TotalSeconds%6.28f);
		}
	}
}